package com.wms_main.constant.enums.wms;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 应用配置key枚举
 */
@Getter
@AllArgsConstructor
public enum AppConfigKeyEnums {
    WCS_STACKER_TASK_URL("WcsStackerTaskUrl", "发送堆垛机任务地址"),
    WCS_PICK_TASK_URL("WcsPickTaskUrl", "发送拣选任务地址"),
    WCS_CANCEL_PICK_TASK_URL("WcsCancelPickTaskUrl", "发送取消拣选任务地址"),
    WCS_RELEASE_BOX_URL("WcsReleaseBoxUrl", "发送释放站台箱子地址"),
    STAND_CAPACITY("StandCapacity", "站台容量"),
    IMAGE_IP("ImageIp", "图片存放ip"),
    EMPTY_BACK("EmptyBack", "空载具是否回库"),
    STOCK_WARNING_QTY("StockWarningQty", "库存预警数量"),
    LOG_CLEAR_INTERVAL("LogClearInterval", "日志清理间隔"),
    NORMAL_DATA_CLEAR_INTERVAL("NormalDataClearInterval", "正常数据清理间隔"),
    IMPORTANT_DATA_CLEAR_INTERVAL("ImportantDataClearInterval", "重要数据清理间隔"),
    EWM_SEND_VEHICLE_URL("EwmSendVehicleUrl", "发送车辆入库地址"),
    EWM_SEND_WAREHOUSE_IN_COMPLETED_URL("EwmSendTaskCompleteUrl", "发送入库完成地址"),
    EWM_SEND_CONTAINER_EMPTY_URL("VehicleEmpty", "发送箱体清空地址"),
    EWM_GET_STOCK_LIST_URL("EwmStockBackUrl", "发送出库任务地址"),
    EWM_CHECK_CONTAINER_NO_URL("EwmCheckContainerNo", "检验目标箱号是否可用"),
    EWM_SEND_WAREHOUSE_OUT_COMPLETED_URL("EwmSendOutTaskCompleteUrl", "发送出库完成地址");
    private final String key;
    private final String desc;
}
